Skip to main content

GET /api/farcaster/channels

List Farcaster channels

GET channels data from farcaster service

Endpoint​

GET https://api.web3identity.com/api/farcaster/channels

Example Request​

curl -s "https://api.web3identity.com/api/farcaster/channels" | jq

Responses​

200 Success​

{
"channels": [
{
"id": "dev",
"name": "dev",
"description": "Developer discussions",
"followerCount": 12345,
"imageUrl": "https://i.imgur.com/dev.png"
},
{
"id": "design",
"name": "design",
"description": "Design discussions",
"followerCount": 8901,
"imageUrl": "https://i.imgur.com/design.png"
},
{
"id": "nft",
"name": "nft",
"description": "NFT discussions",
"followerCount": 23456,
"imageUrl": "https://i.imgur.com/nft.png"
}
]
}

400 Bad request - invalid parameters​

{
"example": "response"
}

402 Payment required​

404 Resource not found​

{
"example": "response"
}

429 Rate Limited​

{
"example": "response"
}

500 Internal Server Error - Something went wrong on our end​

{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}

Auto-generated from OpenAPI spec